Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Interface IMatrix4I

All Superinterfaces:
  IMatrix4Op, IMatrixI, IMatrixOp, IParameter

All Known Implementing Classes:
  IMatrix4

    public interface IMatrix4I

extends IMatrixI, IMatrix4Op

Abstract interface of 4x4 numerical matrix.

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Method Summary
`IMatrix4I` | `dup()`
`IMatrix4` | `get()`
`IMatrix4I` | `mul(IMatrix4I m)`
`IVec4I` | `mul(IVec4I m)`
`IVecI` | `mul(IVecI m)`
`IMatrix4I` | `set(double v11, double v12, double v13, double v14, double v21, double v22, double v23, double v24, double v31, double v32, double v33, double v34, double v41, double v42, double v43, double v44)`
`IMatrix4I` | `set(IDoubleI v11, IDoubleI v12, IDoubleI v13, IDoubleI v14, IDoubleI v21, IDoubleI v22, IDoubleI v23, IDoubleI v24, IDoubleI v31, IDoubleI v32, IDoubleI v33, IDoubleI v34, IDoubleI v41, IDoubleI v42, IDoubleI v43, IDoubleI v44)`
`IVecI` | `transform(IVecI m)` same with mul(IVecI)

Methods inherited from interface igeo.IMatrixI
`add, columnNum, columnNum, columnNum, determinant, determinant, determinant, div, div, get, get, get, invert, mul, mul, mul, rowNum, rowNum, rowNum, set, set, set, set, set, setId, setZero, sub`

Method Detail

### get

    IMatrix4 get()

  Specified by:
    `get` in interface `IMatrix4Op`
  Specified by:
    `get` in interface `IMatrixOp`
  Specified by:
    `get` in interface `IParameter`

### dup

    IMatrix4I dup()

  Specified by:
    `dup` in interface `IMatrixI`

### set

    IMatrix4I set(double v11,
                  double v12,
                  double v13,
                  double v14,
                  double v21,
                  double v22,
                  double v23,
                  double v24,
                  double v31,
                  double v32,
                  double v33,
                  double v34,
                  double v41,
                  double v42,
                  double v43,
                  double v44)

### set

    IMatrix4I set(IDoubleI v11,
                  IDoubleI v12,
                  IDoubleI v13,
                  IDoubleI v14,
                  IDoubleI v21,
                  IDoubleI v22,
                  IDoubleI v23,
                  IDoubleI v24,
                  IDoubleI v31,
                  IDoubleI v32,
                  IDoubleI v33,
                  IDoubleI v34,
                  IDoubleI v41,
                  IDoubleI v42,
                  IDoubleI v43,
                  IDoubleI v44)

### mul

    IMatrix4I mul(IMatrix4I m)

### mul

    IVec4I mul(IVec4I m)

### mul

    IVecI mul(IVecI m)

### transform

    IVecI transform(IVecI m)

  same with mul(IVecI)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD